Gecode::FlatZinc::AST::TypeError Class Reference

Exception signaling type error More...

`#include <ast.hh>`

## Public Member Functions

| TypeError ()
| TypeError (std::string what)
std::string | what (void) const

## Detailed Description

Exception signaling type error

Definition at line 55 of file ast.hh.

## Constructor & Destructor Documentation

## TypeError() [1/2]

Gecode::FlatZinc::AST::TypeError::TypeError | ( |  | ) |

inline

Definition at line 59 of file ast.hh.

## TypeError() [2/2]

Gecode::FlatZinc::AST::TypeError::TypeError | ( | std::string | what | ) |

inline

Definition at line 60 of file ast.hh.

## Member Function Documentation

## what()

std::string Gecode::FlatZinc::AST::TypeError::what | ( | void |  | ) | const

inline

Definition at line 61 of file ast.hh.

The documentation for this class was generated from the following file:

- gecode/flatzinc/ast.hh